Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class AntiEntropyService.RepairFuture

    java.lang.Object
      java.util.concurrent.FutureTask
          org.apache.cassandra.service.AntiEntropyService.RepairFuture

All Implemented Interfaces:
  java.lang.Runnable, java.util.concurrent.Future, java.util.concurrent.RunnableFuture

Enclosing class:
  AntiEntropyService

    public static class AntiEntropyService.RepairFuture

extends java.util.concurrent.FutureTask

Field Summary
`org.apache.cassandra.service.AntiEntropyService.RepairSession` | `session`

Method Summary

Methods inherited from class java.util.concurrent.FutureTask
`cancel, done, get, get, isCancelled, isDone, run, runAndReset, set, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    public final org.apache.cassandra.service.AntiEntropyService.RepairSession session

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation